#
# spec file for package python-spidev
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-spidev
Version:        3.7
Release:        1.1
Summary:        Python module for interfacing with SPI devices
License:        MIT
URL:            https://pypi.org/project/spidev/
Source0:        https://files.pythonhosted.org/packages/source/s/spidev/spidev-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
%python_subpackages

%description
This package contains the python module for interfacing with SPI devices from user space via the spidev linux kernel driver.

%prep
%setup -q -n spidev-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitearch}/spidev*.so
%{python_sitearch}/spidev-%{version}.dist-info

%changelog
* Wed Jun  4 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 3.7
  * Fixed deprecation warning
- Limit Python files matched in %%files section
- Switch package to modern Python Stack on SLE-15
  * Use Python 3.11 on SLE-15 by default
  * Drop support for older Python versions
- Switch build system from setuptools to pyproject.toml
  * Add python-pip and python-wheel to BuildRequires
  * Replace %%python_build with %%pyproject_wheel
  * Replace %%python_install with %%pyproject_install
  * Update name for dist directory in %%files section
* Wed Nov  9 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 3.6
  * Added read0 flag to enable reading 0 bytes after transfer to lower CS when cshigh == True
* Tue Jul 28 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 3.5
  * Fixed memory leaks
* Thu Nov  7 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Uses tarball from github which includes the license file
* Wed Nov  6 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Add missing LICENSE file
* Wed Nov  6 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Initial version 3.4
